@ALBUM: screaming.for.vengeance
Author: Judas Priest
Album title: Screaming for Vengeance
@SONG: The Hellion
 
	(Instrumental)


@SONG: Electric Eye
 

Up here in space
I'm looking down on you.
My lasers trace
Everything you do.

You think you've private lives
Think nothing of the kind.
There is no true escape
I'm watching all the time.

I'm made of metal
My circuits gleam.
I am perpetual
I keep the country clean.

I'm elected electric spy
I protected electric eye.

Always in focus
You can't feel my stare.
I zoom into you
You don't know I'm there.
I take a pride in probing all your secret moves
My tearless retina takes pictures that can prove.

Electric eye, in the sky
Feel my stare, always there
There's nothing you can do about it.
Develop and expose
I feed upon your every thought
And so my power grows.

Protected.  Detective.  Electric eye.


@SONG: Riding On The Wind
 

Shooting for the stars
Cruise the speed of light.
Glowin' god of Mars
Body burning bright.

Well I'm ridin', ridin' on the wind
Yes I'm ridin', ridin' on the wind.

Tearing up through life
Million miles an hour
Blinding all in sight
Surging rush of power.

Thunderbolt from hell
Shattering aloud.
Screamin' demons yell
Bursting through the clouds.


@SONG: Bloodstone
 

I've been trying
There's no denying.
It's sending me
Out of my mind.

I've seen reason
Change to treason.
It's losing its sense
Of all kind.

How much longer will it take
For the world to see.
We should learn to live
And simply let it be.
Bloodstone, bloodstone.

In the night time
Wake in fright.
I'm so scared of the game
That's being played.
Start to wonder
What's going under.
And how many deals
Have been made.

Bloodstone.
I can't take it.
You got me living
On a bloodstone
I don't want that bloodstone.


@SONG: (Take These) Chains
 

I move away it don't do me no good
Three thousand miles don't help like I thought it would.
Help me, I'm beggin' you please.
You've got the power down on my knees
Give me some kind of life.
Leave me be.

Take these chains off
Take 'em off of my heart

Reach out to me, as if from the grave
I tried to run but I'm tied to you like a slave.
It's my fault for loving you so
You were so precious, how could I know.
You turned mean overnight
Poor poor me.

I don't owe you anything
Why don't you get out of my life.
Through it all the memories cling
And I can't sleep at night.

Help me, I'm beggin' you please.
You've got the power down on my knees
Give me some kind of life.
Leave me be.


@SONG: Pain and Pleasure
 

I wanna tell ya, hey I think you oughta know
The way you're treating me, I feel I'll have ta go.
I've heard the rumours and it seems they're comin' true
You do waht suits ya, but then that's nothin' new.

Do what you wanna do
Oh what you put me through.
How I suffer for your love.
Say what you wanna say
You know that you're gonna pay
For all the times that I've cried.

You give me pain, but you bring me pleasure
Get out of my life.
You bring me pain, but you give me pleasure
You don't know what I like.

You've got me tied up, dog upon a leash
Instead of messin' 'round, practice what you preach.
Your days are numbered, my day's arrived
The way I see it, we're dead or we're alive


@SONG: Screaming for Vengeance
 

Hey listen don't you let them get your mind
Fill your brain with orders and that's not right.
They're playing at a game that draws you closer
Till you're living in a world that's ruled by fear.

Always takin' baby out that's o.k.
What they're givin' maybe it's out of phase with me.
Told you one you're never gonna win the race
Same old no tomorrow kicked in the face.

We are screaming, screaming for vengeance
The world is a manacled place.
Screaming, screaming for vengeance
The world is defiled in disgrace.

Tie a blindfold all around your head
Spin you 'round in the torture before the dread.
And then you're pushed and shoved into every corner
Then they lead you out into the final slaughter.

As the sweat is runnin' down your neck
All your praying for's to stop your body breakin' up.
Oh your heart is pumpin' gonna soon explode
Got to fight the horror of this mental load.

So you wait it out and bide your time
Rip off that straight jacket gotta break that line.
Everyone who wins in the great escape
Leaves a thousand more who suffer in their wake.

I don't talk about it but that's alright
Table's turned now there's a revenge in sight.
If it takes forever babe I tell ya I can wait
Send them screaming back through their hell's own gate.


@SONG: You've Got Another Think Comin'
 

One life I'm gonna live it up
I'm takin' flight said I'll never get enough.
Stand tall I'm young and kinda proud
I'm on top as long as the music's loud.

If you think I'll sit around as the world goes by
You're thinkin' like a fool 'cause it's a case of do or die.
Out there is a fortune waitin' to be had
If you think I'll let it go you're mad
You've got another think comin'.

That's right here's where the talkin' ends
Well listen this night there'll be some action spent.
Drive hard I'm callin' all the shots
I got an ace card comin' down on the rocks.

If you think I'll sit around while you chip away my brain
Listen I ain't foolin' and you'd better think again.
Out there is a fortune waitin' to be had
If you think I'll let it go you're mad
You've got another think comin'.

In this world we're livin' in we have our share of sorrow
Answer now is don't give in aim for a new tomorrow.

Oh so hot no time to take a rest yeah
Act tough ain't room for second best.
Real strong got me some security
Hey I'm a big smash I'm goin' for infinity yeah.


@SONG: Fever
 

I'd spend my days alone
I used to stay at home
Lost in seclusion there.
Like I was in a cell
A captured heart as well
Surrounded by despair.
Darkness filled my soul
Losing all control.

Down on the streets below
Bright city lights would glow.
The energy would rise
And through the heat I'd gaze
Still counting empty days.
With fire in my eyes
Living through this hell
Can I break this spell.

Fever.  You set my soul on fire.
Fever.  You fill me with desire.
Fever.  You always get it right.
Fever.  All day and all night.

Then one night as I walked
I heard your body talk
I saw a shooting star.
In some magnetic trance
Our beating hearts would dance
And crash down from afar.
Oh how strange fate is
Never dreamed of this.

So destiny has brought us
Oh so close together
We were like angels in the night
Living the dream
At last I'll be with you forever.
And all at once it feels so right.


@SONG: Devil's Child
 

Hypnotize me
Mesmerize me
Feel my willpower slip.
Light my fire
With cold desire
Losing all my grip.

Eat my diamonds
Drinkin' all my gin
Feast your eyes on
A whole lotta sin.

On no you're so damned wicked
You got me by the throat
Oh no got your claws stuck in my
You never let me go
I believe you're the devil
I believe you're the devil's child.

Took my dreams
And now it seems you're nothing but a liar
Smash and grab at all I had
Build my funeral pyre.
Stop pretendin'
Got me growin' old
Your tormentin's
Fit to snap my soul.

You took my heart
And left it blown to smithereens.
I gave my body as a slave
You cut my flesh
And drank my blood that poured in streams
I'm left here broken and ashamed.

Goin' under
Hear the thunder
Death defying grace.
Your condition breeds ammunition
Shoots me in the face.
Vivious talkin'
Stabs me like a knife
Scratched and bruised, so abused
I'm a human sacrifice.

Your request matches 1 albums and 10 songs.

